<?php
/**
 * Created by PhpStorm.
 * User: rakesh
 * Date: 9/21/2017
 * Time: 10:37 PM
 */
if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class city extends CI_Controller
{
    function __construct()
    {
        parent::__construct();
        $this->load->model("city_model", '', true);
    }
    public function index()
    {
        // Get All countries
        $searchCriteria = array();
        //$searchCriteria["selectField"] = "sm.*,cm.*";
        $searchCriteria["orderField"] = "insertdate";
        $searchCriteria["orderDir"] = "DESC";
        $this->city_model->searchCriteria=$searchCriteria;
        $rsCities = $this->city_model->getCityList();
        $rsListing['rsCities']	=	$rsCities;

        // Load Views
        $this->load->view('city/list', $rsListing);
    }

    public function AddCity()
    {
        $data["strAction"] = $this->Page->getRequest("action");
        $data["strMessage"] = $this->Page->getMessage();
        $data["id"] = $this->Page->getRequest("id");

        if ($data["strAction"] == 'E' || $data["strAction"] == 'V' || $data["strAction"] == 'R')
        {
            $data["rsEdit"] = $this->city_model->get_by_id('city_id', $data["id"]);
        }
        else
        {
            $data["strAction"] = "A";
        }
        $this->load->view('city/cityForm',$data);
    }

    public function SaveCity()
    {
        $strAction = $this->input->post('action');

        // Check User
        $searchCriteria = array();
        $searchCriteria["selectField"] = "ctm.city_id";
        $searchCriteria["city_name"] = $this->Page->getRequest('txt_city_name');
        if ($strAction == 'E')
        {
            $searchCriteria["not_id"] = $this->Page->getRequest('hid_id');
        }
        $this->city_model->searchCriteria=$searchCriteria;
        $rsCityName = $this->city_model->getCityList();
        if(count($rsCityName) > 0)
        {
            $this->Page->setMessage('ALREADY_EXISTS');
            redirect('c=city&m=addCity', 'location');
        }

        $arrHeader["city_name"]     	    =	$this->Page->getRequest('txt_city_name');
        $arrHeader["status"]        		= 	$this->Page->getRequest('slt_status');
        $arrHeader["country_id"]        	= 	$this->Page->getRequest('slt_country');
        $arrHeader["state_id"]        	    = 	$this->Page->getRequest('slt_state');
        $arrHeader["city_code"]        	    = 	$this->Page->getRequest('txt_city_code');

        if ($strAction == 'A' || $strAction == 'R')
        {
            $arrHeader['insertby']		=	$this->Page->getSession("intUserId");
            $arrHeader['insertdate'] 		= 	date('Y-m-d H:i:s');
            $arrHeader['updatedate'] 		= 	date('Y-m-d H:i:s');

            $intCenterID = $this->city_model->insert($arrHeader);
            $this->Page->setMessage('REC_ADD_MSG');
        }
        elseif ($strAction == 'E')
        {
            $city_id				= 	$this->Page->getRequest('hid_id');
            $arrHeader['updateby'] 		= 	$this->Page->getSession("intUserId");
            $arrHeader['updatedate'] =	date('Y-m-d H:i:s');

            $this->city_model->update($arrHeader, array('city_id' => $city_id));
            $this->Page->setMessage('REC_EDIT_MSG');
        }

        redirect('c=city', 'location');
    }

    public function delete()
    {
        $arrCountryIds	=	$this->input->post('chk_lst_list1');
        $strCountryIds	=	implode(",", $arrCountryIds);
        $strQuery = "DELETE FROM city_master WHERE city_id IN (". $strCountryIds .")";
        $this->db->query($strQuery);
        $this->Page->setMessage("DELETE_RECORD");
        // redirect to listing screen
        redirect('c=city', 'location');
    }

    public function getStates(){
        $fieldVal = $this->Page->getRequest("fieldVal");
        if (isset($fieldVal) && $fieldVal != null){
            $query = $this->db->get_where('state_master', array('country_id' => $fieldVal));
                if ($query->num_rows() > 0) {
                    $retstr = '';
                    $retstr .="<option value='' selected>Select State</option>";
                    $selectedArr = array();
                    foreach ($query->result_array() as $row) {
                        if ($this->Page->getRequest("state_id") != null && is_numeric($this->Page->getRequest("state_id"))) {
                            $selectedArr = explode(" ", $this->Page->getRequest("state_id"));
                            $Val = $row["state_id"];
                        }
                        if (count($selectedArr) > 0 && in_array($Val, $selectedArr))
                            $sel = "selected";
                        else
                            $sel = "";

                        $retstr .= "<option value='$row[state_id]' $sel>$row[state_name]</option>";
                    }
                    echo $retstr;
                }
        }
     }

    public function getCities(){
        $fieldVal = $this->Page->getRequest("fieldVal");
        if (isset($fieldVal) && $fieldVal != null){
            $query = $this->db->get_where('city_master', array('state_id' => $fieldVal));
            if ($query->num_rows() > 0) {
                $retstr = '';
                $retstr .="<option value='' selected>Select City</option>";
                $selectedArr = array();
                foreach ($query->result_array() as $row) {
                    if ($this->Page->getRequest("city_id") != null && is_numeric($this->Page->getRequest("city_id"))) {
                        $selectedArr = explode(" ", $this->Page->getRequest("city_id"));
                        $Val = $row["city_id"];
                    }
                    if (count($selectedArr) > 0 && in_array($Val, $selectedArr))
                        $sel = "selected";
                    else
                        $sel = "";

                    $retstr .= "<option value='$row[city_id]' $sel>$row[city_name]</option>";
                }
                echo $retstr;
            }
        }
    }
}
